/*
    Use CSS Variables from internal and 3rd party to setup
    branding for our application.
*/

/* Material UI Branding */
:root {
    --mdc-theme-primary: #3e8529;
    --mdc-theme-primary--focus: #367424; /* approx 24% darker than mdc-theme-primary */
    --mdc-theme-error: #a94442;
}

/* Transmit Branding */
:root {
    --page-header-text: #000;
    --page-header-text--font: 'Synchrony Sans';
    --sub-header-text: #000;
    --sub-header-text--font: 'Synchrony Sans';
    --body-text: #000;
    --body-text--font: 'Synchrony Sans';
    --field-labels: #000;
    --field-labels-rgb: 0, 0, 0;
    --field-labels--font: 'Synchrony Sans';
    --help-text: #767676;
    --help-text--font: 'Synchrony Sans';
    --primary-link: #34567f;
    --primary-link--font: 'Synchrony Sans';
    --icon: #666666;
    --primary-button--font: 'Synchrony Sans';
    --primary-button-affirmative: #3e8529;
    --primary-button-affirmative--text: #fff;
}

/* Non-Brandable by Client */
:root {
    --mdc-theme-background: #fff;
    --error-icon: #a94442;
}